%define thunarver 0.9.0

Name:           thunar-shares-plugin
Version:        0.2.0
Release:        2%{?dist}
Summary:        Thunar file manager extension to share files using Samba

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= %{thunarver}, libxfcegui4-devel >= 4.4.0
BuildRequires:  intltool, gettext
Requires:       Thunar >= %{thunarver}, samba >= 3.0.22
# The provides is supposed to be removed in F12
Provides:       thunar-shares = 0.16-2
Obsoletes:      thunar-shares < 0.16-2

%description
The Thunar Shares plugin allows you to quickly share a folder using Samba from
Thunar (the Xfce file manager) without requiring root access. It's  backend is
based on nautilus-share.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/thunarx-1/%{name}.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/thunarx-1/%{name}.so


%changelog
* Thu Jul 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Initial Fedora RPM based on the former thunar-shares package
